# Class CoyotePrincipal

java.lang.Object
org.apache.catalina.connector.CoyotePrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

public class CoyotePrincipal extends Object implements Principal, Serializable
Generic implementation of java.security.Principal that is used to represent principals authenticated at the protocol handler level.

Author:
  Remy Maucherat
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final String`
`name`
The username of the user represented by this Principal.

## Constructor Summary

Constructors
Constructor
Description
`CoyotePrincipal(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`toString()`
Return a String representation of this object, which exposes only information that should be public.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`equals, hashCode, implies`

## Field Details

### name

protected final String name
The username of the user represented by this Principal.

## Constructor Details

### CoyotePrincipal

public CoyotePrincipal(String name)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `Principal`

### toString

public String toString()
Return a String representation of this object, which exposes only information that should be public.

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`